## class OSGSIM_EXPORT osgSim::AzimRange

## Inheritance:

### Public Methods

AzimRange()
void setAzimuthRange(float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)
void getAzimuthRange(float& minAzimuth, float& maxAzimuth, float& fadeAngle) const
inline float azimSector(const osg::Vec3& eyeLocal) const

### Protected Fields

float _cosAzim
float _sinAzim
float _cosAngle
float _cosFadeAngle

## Documentation

`AzimRange()`

`void setAzimuthRange(float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)`

`void getAzimuthRange(float& minAzimuth, float& maxAzimuth, float& fadeAngle) const`

`inline float azimSector(const osg::Vec3& eyeLocal) const`

`float _cosAzim`

`float _sinAzim`

`float _cosAngle`

`float _cosFadeAngle`

Direct child classes:
  AzimSector
  AzimElevationSector

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.